import React, { useState } from 'react';
import ReactDOM from 'react-dom';
import {Dropdown} from './Dropdown'

const options = [
  { value: 'dog', label: 'Dog' },
  { value: 'cat', label: 'Cat' },
  { value: 'hamster', label: 'Hamster' },
  { value: 'parrot', label: 'Parrot' },
  { value: 'spider', label: 'Spider' },
  { value: 'goldfish', label: 'Goldfish' },
];

const initialValue = 'cat'

const App = () => {
  const [selectedValue, setSelectedValue] = useState(initialValue);
  
  return (
    <div>
      <Dropdown
        selectedValue={selectedValue}
        onSelectedValueChange = {setSelectedValue}
        options={options}
        label={'Choose a pet:'}
        id={'pet-select'}
      />
    </div>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
